import java.util.List;

/**
 * Menu is a class to built a menu
 *
 * @author Madeleine Vigier
 * @version 1.1
 */
public class Menu {
    String date;
    String dish;
    String sideDish;
    String type;
    List<String> ingredients;


    /**
     * constructor
     *
     * @param date        date of meal
     * @param dish        meal
     * @param sideDish    side dish
     * @param type        vegan, vegetarian or meat
     * @param ingredients list of ingredients
     */
    public Menu(String date, String dish, String sideDish, String type, List<String> ingredients) {
        this.date = date;
        this.dish = dish;
        this.sideDish = sideDish;
        this.type = type;
        this.ingredients = ingredients;
    }

    /**
     * The method get Date() gets the date
     *
     * @return date
     * @author Madeleine Vigier
     */
    public String getDate() {
        return date;
    }

    /**
     * The method getTyp() gets the typ of the meal
     *
     * @return typ e.g. Vegan
     * @author Madeleine Vigier
     */
    public String getType() {
        if (type.contains("DessertV") || type.contains("Dessert")) {
            return "";
        } else {

            return type;
        }
    }


    /**
     * The method toString() returns a String formated to save in a File
     *
     * @return a String with dish, sideDish, list of ingredients and the typ of the menu
     * @author Madeleine Vigier, Felix Wöstemeyer
     */
    @Override
    public String toString() {
        return date+";"+dish+";"+sideDish+";"+type+";"+ingredients;
    }
}

